Bug 716469 - Review Request: rubygem-rhc - Openshift Express Client Tools
Summary: Review Request: rubygem-rhc - Openshift Express Client Tools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-24 14:57 UTC by Guillermo Gómez
Modified: 2014-08-06 18:45 UTC (History)
5 users (show)

Fixed In Version: rubygem-rhc-0.71.2-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:47:58 UTC
a.badger: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillermo Gómez 2011-06-24 14:57:22 UTC
Spec URL: http://gomix.fedorapeople.org/rubygem-rhc/rubygem-rhc.spec
SRPM URL: http://gomix.fedorapeople.org/rubygem-rhc/rubygem-rhc-0.71.2-1.fc15.src.rpm
Description: Openshift Express Client Tools

OpenShift Express allows you to create and deploy applications to the cloud. The OpenShift Express client is a command line tool that allows you to manage your applications in the cloud.

Comment 1 Guillermo Gómez 2011-06-24 15:03:40 UTC
rpmlint output missing:

$ rpmlint -i SPECS/rubygem-rhc.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i SRPMS/rubygem-rhc-0.71.2-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Luis Bazan 2011-06-28 23:05:22 UTC
$ rpmlint -v *
rubygem-rhc.src: I: checking
rubygem-rhc.src: I: checking-url https://openshift.redhat.com (timeout 10 seconds)
rubygem-rhc.src: I: checking-url http://rubygems.org/downloads/rhc-0.71.2.gem (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[lbazan@BAKER-FEDORA ruby]$ rpmlint *.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I think after a review, the package is good.
the spec is complete without failure.

Comment 3 Luis Bazan 2011-06-28 23:11:34 UTC
APROVED!

Comment 4 Toshio Ernie Kuratomi 2011-07-08 18:57:17 UTC
When starting off as a new packager, you should do reviews that list off all the things that you've checked whether they pass or fail.  That way other people can see that you know what you're doing or help understand what to look for if you don't detect something.  The Review Guidelines here can be used as a partial checklist: http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

You can see that I also reference the rubygem guidelines in this review because there's some additional packaging guidelines for rubygems.

Good:
* Named according to the naming guidelines
* Spec file named correctly
* Package meets some of the rubygem guidelines:
  + naming, source, Provides, Requires, BR, empty %prep and %build,
    pkg is properly noarch
  + See below for parts that are not being followed.
* Package includes license text
* Spec file is legible
* Source matches upstream
* No locales to handle
* Not a shared library or GUI
* Does not bundle libraries
* Not relocatable
* Builds in koji
* No files listed twice
* Permissions on files set properly
* Macros used consistently
* Code, not content
* Package does not own files or directories owned by another package
* All filenames are utf-8
* rpmlint has only this:
  rubygem-rhc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/rhc-0.71.2/ri/RHC/hostexist%3f-c.yaml %3f
  False positive.  Rubygems are internally escaping certain characters for
  these files.  The "%" shows up for that reason, not because of an
  unexpanded rpm macro.

Needswork:
* Package does not meet the following rubygem guidelines:
  - Package needs to own: %{gemdir}/gems/%{gemname}-%{version}/
  http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Gems
* The use of %dir and the wildcard * in the %files section seems suspect.  %dir
  is used to tell rpm to only include the following entry as a single
  directory, not recursively traverse it.  However, these entries seem to be
  used to list files, not directories so %dir should be removed here.
* Additionally, the rpm does not appear to have any files in %{geminstdir}/lib
  and %{geminstdir}/conf so both of those entries should be removed.
* Maybe a better URL: https://openshift.redhat.com/app/express
* I cannot find the GPLv2 as a license anywhere in this package.  I do find the
  MIT license though.  So the license needs to be changed to MIT.
* From looking at this package it seems that the things in
  /usr/lib/ruby/gems/1.8/bin/ or /usr/lib/ruby/gems/1.8/gems/rhc-0.71.2/bin/
  are intended to be run by end users.  They need to have a presence in
  %{_bindir} for the user to invoke then.  I don't know if the standard for
  rubygems is to move the files there or to have a small shell script that
  invokes the program in the %{gemdir}
* Should everything in /usr/lib/ruby/gems/1.8/doc/rhc-0.71.2 be marked doc?
  If a file is depended on at runtime, it cannot be marked %doc because the
  person installing the package may choose to exclude them from being
  installed.  The yaml files, for instance, don't seem to be there for end
  users to read...  will removing them when installing the package break
  something?

Comment 5 Guillermo Gómez 2011-07-09 18:49:00 UTC
spec: http://gomix.fedorapeople.org/rubygem-rhc/rubygem-rhc.spec
srpm: http://gomix.fedorapeople.org/rubygem-rhc/rubygem-rhc-0.71.2-2.fc15.src.rpm

* Package now owns %{gemdir}/gems/%{gemname}-%{version}/
* Licence fixed to MIT.
* Missuse of %dir corrected.
* Better URL done.
* User binaries moved to the right place.
* Should everything in /usr/lib/ruby/gems/1.8/doc/rhc-0.71.2 be marked doc?

  Yes, none of those files are dependencies for runtime execution and can be safely removed without breaking a thing. yaml files are used by ri ruby online documentation system. rdoc is html formatted versions.

rpmlint outputs

$ rpmlint -i SPECS/rubygem-rhc.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i SRPMS/rubygem-rhc-0.71.2-2.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i RPMS/noarch/rubygem-rhc-0.71.2-2.fc15.noarch.rpm 
rubygem-rhc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/rhc-0.71.2/ri/RHC/hostexist%3f-c.yaml %3f
This package contains a file whose path contains something that looks like an
unexpanded macro; this is often the sign of a misspelling. Please check your
specfile.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-ctl-app
Each executable in standard binary directories should have a man page.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-snapshot
Each executable in standard binary directories should have a man page.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-create-app
Each executable in standard binary directories should have a man page.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-user-info
Each executable in standard binary directories should have a man page.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-create-domain
Each executable in standard binary directories should have a man page.

rubygem-rhc.noarch: W: no-manual-page-for-binary rhc-tail-files
Each executable in standard binary directories should have a man page.

1 packages and 0 specfiles checked; 0 errors, 7 warnings.

besides lack of man pages, yaml-rpmlint reporting issue is ignorable.

it looks better now, thanks for reviewing

Comment 6 Toshio Ernie Kuratomi 2011-07-12 16:08:19 UTC
Problems noted before have been taken care of.  rpmlint warnings are ignorable.

APPROVED

Comment 7 Guillermo Gómez 2011-07-12 18:51:52 UTC
New Package SCM Request
=======================
Package Name: rubygem-rhc
Short Description: OpenShift Express Client Tools
Owners: gomix
Branches: f14 f15 el6
InitialCC:

Comment 8 Gwyn Ciesla 2011-07-14 23:37:49 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-07-16 14:12:11 UTC
rubygem-rhc-0.71.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-rhc-0.71.2-2.fc15

Comment 10 Fedora Update System 2011-07-16 15:02:32 UTC
rubygem-rhc-0.71.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-rhc-0.71.2-2.fc14

Comment 11 Fedora Update System 2011-07-16 17:53:26 UTC
rubygem-rhc-0.71.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-rhc-0.71.2-2.el6

Comment 12 Fedora Update System 2011-07-18 22:40:30 UTC
rubygem-rhc-0.71.2-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 13 Fedora Update System 2011-07-31 03:47:53 UTC
rubygem-rhc-0.71.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-07-31 03:49:49 UTC
rubygem-rhc-0.71.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-08-05 19:54:30 UTC
rubygem-rhc-0.71.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Guillermo Gómez 2012-01-15 12:45:11 UTC
Package Change Request
======================
Package Name: rubygem-rhc
New Branches: el5

Comment 17 Gwyn Ciesla 2012-01-15 22:21:42 UTC
No owner specified.

Comment 18 Guillermo Gómez 2012-01-15 23:23:40 UTC
Package Change Request
======================
Package Name: rubygem-rhc
New Branches: el5
Owners: gomix

Comment 19 Gwyn Ciesla 2012-01-16 01:52:18 UTC
Git done (by process-git-requests).

Comment 20 Troy Dawson 2014-08-06 18:39:01 UTC
Package Change Request
======================
Package Name: rubygem-rhc
New Branches: epel7
Owners: gomix tdawson

Comment 21 Gwyn Ciesla 2014-08-06 18:45:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.